### Method

# Gimp Image remove_channel

#### Declaration [src]

    gboolean
    gimp_image_remove_channel (
      GimpImage* image,
      GimpChannel* channel
    )

#### Description [src]

Remove the specified channel from the image.

This procedure removes the specified channel from the image. If the channel doesn’t exist, an error is returned.

#### Parameters

`channel`

  Type: `GimpChannel`

  The channel.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

TRUE on success.